package com.example.duplicate.controller.param;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * @description: ArchiveOtherExtDto
 * @author linjj
 * @date: 2024/8/5 9:21
 */
@Data
public class ArchiveOtherExtDto implements Serializable {
    private static final long serialVersionUID = 1L;
    @ApiModelProperty(value = "病案主键")
    @TableId(value = "patient_id", type = IdType.ASSIGN_ID)
    private Long id;
    //更新时间
    private String SycTime;
    //任务id
    private String otherID;
    //采集器标识
    private Integer sysFlag;
    //个更新时间
    private String sysUpdateTime;
    //记帐号
    private String jzh;
    //住院号
    private String zyh;
    //标识
    private Integer statusFlag;
    //主键id
    private String MID;
    //扩展字段
    private String C1;
}
