package com.example.duplicate.infrastructure.dao;

import com.example.duplicate.controller.param.ArchiveOtherExtDto;
import com.example.duplicate.controller.param.updateTaskDto;
import com.example.duplicate.controller.vo.ArchiveOtherExtVo;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * @InterfaceName ArchiveOtherExtMapper
 * @Description 任务表
 * @Author linjj
 * @Date 2024/8/5 8:52
 * @Version 1.0
 */
@Mapper
public interface ArchiveOtherExtMapper {

    List<ArchiveOtherExtVo> getOtherByMidAndFlag(@Param("mid")String mid, @Param("sysFlag")int sysFlag);

    Boolean addOther(ArchiveOtherExtDto archiveOtherExtDto);

    Boolean updateByMid(updateTaskDto dto);

    Boolean updateStatic(@Param("mid")String mid, @Param("sysFlag")String sysFlag);


}
