package com.example.duplicate.infrastructure.dao;

import com.example.duplicate.controller.vo.ArchiveMasterVo;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * @InterfaceName Archive_master
 * @Author linjj
 * @Date 2024/8/2 15:54
 * @Version 1.0
 */
@Mapper
public interface ArchiveMasterMapper {
    //轮询根据时间获取患者信息
    List<ArchiveMasterVo> getMedicalAdviceTask();

    //根据masterId获取患者信息
    List<ArchiveMasterVo> getArchiveMasterByMasterId(@Param("masterId")String masterId);
    List<String> getMasterid();
}
